{
    "fields": [
        {
            "doc": "Variant identifier in dbSNP",
            "name": "dbSnpId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Variant identifier in Cosmic",
            "name": "cosmicIds",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Variant identifier in ClinVar",
            "name": "clinVarIds",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "otherIds",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Source i.e, esenmbl",
                                "name": "source",
                                "type": "string"
                            },
                            {
                                "doc": "identifier",
                                "name": "identifier",
                                "type": "string"
                            }
                        ],
                        "name": "Identifier",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "VariantIdentifiers",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}